Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 423 - routed -t dumps core
Summary: routed -t dumps core
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: routed
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-15 05:21 UTC by Adam Thompson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-22 14:47:35 UTC


Attachments (Terms of Use)

Description Adam Thompson 1998-12-15 05:21:47 UTC
When running routed (from routed-0.10-10) on i386 RH5.2,
with the "-t" flag, routed dumps core.

"gdb `which routed` core" shows:
GNU gdb 4.17.0.4 with Linux/x86 hardware watchpoint and FPU
support
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public
License, and you are
welcome to change it and/or distribute copies of it under
certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show
warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `routed -t'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /lib/libnss_files.so.1...done.
#0  0x4003e4ad in _IO_vfprintf (s=0x0,
    format=0x804d75c "rtioctl %s %08x/%08x\n",
ap=0xbfffd834) at vfprintf.c:881
vfprintf.c:881: No such file or directory.
(gdb)

Comment 1 Jeff Johnson 1998-12-22 14:47:59 UTC
Use stderr if no trace file is specified with -t.


Note You need to log in before you can comment on or make changes to this bug.